Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# GeomParticleRenderer Class Reference

Inheritance diagram for GeomParticleRenderer:

List of all members.

## Public Member Functions
| GeomParticleRenderer (ParticleRendererAlphaMode am, PandaNode geom_node)
| GeomParticleRenderer (ParticleRendererAlphaMode am)
| GeomParticleRenderer (GeomParticleRenderer const copy)
| copy constructor
| GeomParticleRenderer ()
ColorInterpolationManager | getColorInterpolationManager ()
float | getFinalXScale ()
float | getFinalYScale ()
float | getFinalZScale ()
PandaNode | getGeomNode ()
float | getInitialXScale ()
float | getInitialYScale ()
float | getInitialZScale ()
bool | getXScaleFlag ()
bool | getYScaleFlag ()
bool | getZScaleFlag ()
| setFinalXScale (float final_x_scale)
| setFinalYScale (float final_y_scale)
| setFinalZScale (float final_z_scale)
| setGeomNode (PandaNode node)
| setInitialXScale (float initial_x_scale)
| setInitialYScale (float initial_y_scale)
| setInitialZScale (float initial_z_scale)
| setXScaleFlag (bool animate_x_ratio)
| setYScaleFlag (bool animate_y_ratio)
| setZScaleFlag (bool animate_z_ratio)

## Constructor & Destructor Documentation

GeomParticleRenderer | ( | ParticleRendererAlphaMode | am,
|  | PandaNode | geom_node
| ) |  |

GeomParticleRenderer | ( | ParticleRendererAlphaMode | am | ) |

GeomParticleRenderer | ( |  | ) |

GeomParticleRenderer | ( | GeomParticleRenderer const | copy | ) |

copy constructor

## Member Function Documentation

ColorInterpolationManager getColorInterpolationManager | ( |  | ) |

float getFinalXScale | ( |  | ) |

float getFinalYScale | ( |  | ) |

float getFinalZScale | ( |  | ) |

PandaNode getGeomNode | ( |  | ) |

float getInitialXScale | ( |  | ) |

float getInitialYScale | ( |  | ) |

float getInitialZScale | ( |  | ) |

bool getXScaleFlag | ( |  | ) |

bool getYScaleFlag | ( |  | ) |

bool getZScaleFlag | ( |  | ) |

setFinalXScale | ( | float | final_x_scale | ) |

setFinalYScale | ( | float | final_y_scale | ) |

setFinalZScale | ( | float | final_z_scale | ) |

setGeomNode | ( | PandaNode | node | ) |

setInitialXScale | ( | float | initial_x_scale | ) |

setInitialYScale | ( | float | initial_y_scale | ) |

setInitialZScale | ( | float | initial_z_scale | ) |

setXScaleFlag | ( | bool | animate_x_ratio | ) |

setYScaleFlag | ( | bool | animate_y_ratio | ) |

setZScaleFlag | ( | bool | animate_z_ratio | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties